Package com.collabnet.ce.soap60.webservices.page

# Class PageAppSoap

java.lang.Object
com.collabnet.ce.soap60.webservices.WebService
com.collabnet.ce.soap60.webservices.page.PageAppSoap

All Implemented Interfaces:
  `IPageAppSoap`

public class PageAppSoap extends WebService implements IPageAppSoap
The web service providing the PCE Functionalities.
Change History

Version 7.0

- createComponent2: New method added to create component and return `PageComponent2SoapDO`
- getPageComponent: New method added to get page component
- setLifecycleMetricComponentContent: New method added to set Lifecycle metric page component

Version 6.1

- createPage: Two operations with the same name merged into one.

Version 6.0

- createPage: New overloaded operation added in 6.0

Version 5.3

- addPageImage: New operation added in 5.3
- listPageImages: New operation added in 5.3
- getPageImageUrl: New operation added in 5.3
- deletePageImage: New operation added in 5.3

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageAppSoap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addPageImage(String sessionId, String projectId, String fileId, String filename, String mimetype)`
  Adds an uploaded file as an image for a page.
  `PageComponentSoapDO`
  `createComponent(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content)`
  Creates a page component.
  `PageComponent2SoapDO`
  `createComponent2(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content)`
  Creates a page component.
  `PageSoapDO`
  `createPage(String sessionId, String projectId, String parentId, String title, boolean visible, boolean freeform)`
  Creates a new project page.
  `void`
  `deletePage(String sessionId, String pageId)`
  Deletes an existing page
  `void`
  `deletePageComponent(String sessionId, String pageComponentId)`
  Deletes an existing page component
  `void`
  `deletePageImage(String sessionId, String projectId, String attachmentId)`
  Deletes the specified attachment of the specified object.
  `PageComponent2SoapDO`
  `getPageComponent(String sessionId, String pageComponentId)`
  Gets page component meta data and settings for a given page component id.
  `PageComponentSoapDO[]`
  `getPageComponents(String sessionId, String pageId)`
  Gets an array of page components for a page (in the correct order)
  `PageSoapDO`
  `getPageData(String sessionId, String pageId)`
  Gets a project page.
  `String`
  `getPageImageUrl(String sessionId, String projectId, String attachmentId)`
  Gets relative URL to access to the uploaded image from an HTML page.
  `PageSoapList`
  `getPageList(String sessionId, String projectId)`
  Gets all pages for a user in the specified project (in the correct order).
  `String`
  `getTextComponentContent(String sessionId, String pageCompId)`
  Gets the content of a Text component.
  `AttachmentSoapList`
  `listPageImages(String sessionId, String projectId)`
  Lists the images for a project.
  `void`
  `movePage(String sessionId, String pageFolderPath, String destPath)`
  Moves a page (including sub pages and contents).
  `void`
  `setComponentDisplayOrder(String sessionId, String pageId, String[] componentIds)`
  Sets the display order for components within a page
  `void`
  `setLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content)`
  Sets Lifecycle metric component.
  `void`
  `setPageComponentData(String sessionId, PageComponentSoapDO pageComponent)`
  Updates a page component
  `void`
  `setPageData(String sessionId, PageSoapDO pageData)`
  Edits an existing page.
  `boolean`
  `setPageDisplayOrder(String sessionId, String folderId, String[] childrenPageIds)`
  Sets the page display order.
  `void`
  `setTextComponentContent(String sessionId, String pageCompId, String content)`
  Sets the content of a Text component.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.WebService

  `assertNormalProject, assertProjectGroup, canGiveFullUserDetails, checkGeneralPermission, checkPermission, checkPermission, checkSiteWidePermission, createUserSessionKey, downloadFile, filterInvalidProjMembers, generateFolderName, getAccessControlService, getApplicationRegistryService, getAttachment, getAuthenticationService, getCategorization, getCoreService, getDiscussion, getDocMan, getDocumentRootFolder, getFileStorageService, getFolderKey, getFolderPath, getFolderPath, getFolderPath, getFrs, getIntegrationData, getItemPath, getItemPath, getLocale, getMonitoring, getNews, getNulledMinSoapDate, getObjectKey, getObjectPath, getOperation, getPages, getPlanning, getPluggableComponent, getProjectId, getProjectPath, getProjectPath, getRbac, getSearch, getStoredFileSize, getStoredFileText, getTagService, getTeam, getTemplate, getTracker, getUser, getUserData, getUsername, getUserService, getWiki, hasPermission, hasSiteWidePermission, isFolderResource, isProjectGroup, isProjectId, isStrEmpty, isSuperUser, isValidEmail, makeStoredFileDO, makeStoredFileDOs, requireProjectAdminPermission, setPartialOrFullUserData, setUserNameToResponse, storeFile, storeTextFile, validateChoice, validateChoice, validateIconFile, validateString, validateStringArray, validateStringWithTrim, validateTokenAndExactUsername, validateTokenAndExactUsername, validateWikiPageName, verifyLicense`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PageAppSoap

    public PageAppSoap()

- ## Method Details

  - ### getPageData

    public PageSoapDO getPageData(String sessionId, String pageId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Gets a project page. This API only fetches the page data and does not fetch the component contents.
    Specified by:
      `getPageData` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the pageId for which data is to be fetched.
    Returns:
      the page data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### getTextComponentContent

    public String getTextComponentContent(String sessionId, String pageCompId) throws InvalidSessionFault, NoSuchObjectFault, InvalidComponentTypeFault, PermissionDeniedFault, SystemFault
    Gets the content of a Text component. The API fetches the HTML source of a text component. Note that only Text components are supported by this API.
    Specified by:
      `getTextComponentContent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageCompId` - page component id for which the content/source is to be fetched.
    Returns:
      content of the text component as string
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `InvalidComponentTypeFault` - if the type of the component is not Text
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### setTextComponentContent

    public void setTextComponentContent(String sessionId, String pageCompId, String content) throws InvalidSessionFault, NoSuchObjectFault, InvalidComponentTypeFault, VersionMismatchFault, IllegalArgumentFault, PermissionDeniedFault, SystemFault
    Sets the content of a Text component. The API replaces the existing HTML source of the text component with the new content. Note that only Text components are supported by this API.
    Specified by:
      `setTextComponentContent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageCompId` - page component id for which the content/source is to be fetched.
      `content` - the new content
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `InvalidComponentTypeFault` - if the type of the component is not Text
      `VersionMismatchFault` - when component data is stale
      `IllegalArgumentFault` - for invalid content
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### setLifecycleMetricComponentContent

    public void setLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content) throws InvalidSessionFault, NoSuchObjectFault, InvalidComponentTypeFault, VersionMismatchFault, IllegalArgumentFault, PermissionDeniedFault, SystemFault
    Sets Lifecycle metric component. The API replaces the existing HTML source and other metric properties.
    Specified by:
      `setLifecycleMetricComponentContent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponent` - the page component to be updated.
      `content` - the html content
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `InvalidComponentTypeFault` - if the type of the component is not metrics
      `VersionMismatchFault` - when component data is stale
      `IllegalArgumentFault` - for invalid content
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      7.0

  - ### getPageList

    public PageSoapList getPageList(String sessionId, String projectId) throws InvalidSessionFault, NoSuchObjectFault, SystemFault
    Gets all pages for a user in the specified project (in the correct order).
    Specified by:
      `getPageList` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - the project for which the pages are to be fetched
    Returns:
      list of pages for the user in the project
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### createPage

    public PageSoapDO createPage(String sessionId, String projectId, String parentId, String title, boolean visible, boolean freeform) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, ObjectAlreadyExistsFault, SystemFault
    Creates a new project page.
    Specified by:
      `createPage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Id of the project in which the page is to be created
      `parentId` - parent folder id under which the page is to be created, if `null` then a top level page under the project will be created.
      `title` - title of the page
      `visible` - visibility of the page
      `freeform` - true if the page link must be hidden in the left navigation
    Returns:
      the newly created page
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `ObjectAlreadyExistsFault` - If a page with the same name already exists in the project
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### setPageData

    public void setPageData(String sessionId, PageSoapDO pageData) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, VersionMismatchFault, SystemFault
    Edits an existing page. This API will not modify the component data.
    Specified by:
      `setPageData` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageData` - the page to be edited.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `VersionMismatchFault` - when page data is stale
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### getPageComponents

    public PageComponentSoapDO[] getPageComponents(String sessionId, String pageId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault
    Gets an array of page components for a page (in the correct order)
    Specified by:
      `getPageComponents` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page from which to get the list of components
    Returns:
      array of page components
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### deletePage

    public void deletePage(String sessionId, String pageId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, CannotDeleteHomePageFault, SystemFault
    Deletes an existing page
    Specified by:
      `deletePage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the page to be deleted.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `CannotDeleteHomePageFault` - when the user tries to delete the home page.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### deletePageComponent

    public void deletePageComponent(String sessionId, String pageComponentId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Deletes an existing page component
    Specified by:
      `deletePageComponent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponentId` - the id of the page component to be deleted.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the specified page id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### setComponentDisplayOrder

    public void setComponentDisplayOrder(String sessionId, String pageId, String[] componentIds) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Sets the display order for components within a page
    Specified by:
      `setComponentDisplayOrder` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page where the components belong
      `componentIds` - ids of component in the order which is to be set
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### createComponent

    public PageComponentSoapDO createComponent(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content) throws InvalidSessionFault, NoSuchObjectFault, IllegalArgumentFault, PermissionDeniedFault, ObjectAlreadyExistsFault, SystemFault
    Creates a page component.
    Specified by:
      `createComponent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page where the component is to be created.
      `compName` - component name
      `componentType` - component type. Valid component types are defined as constants in `PageComponentSoapDO`.
      `topOfPage` - true if the component is to be created at top of the page
      `visibility` - defines the visibility of this component, 1= visible, 0 = hidden.
      `attributes` - component attributes. The values varies with the component:
      - For `COMPONENT_TYPE_DOCUMENTS`, attribute `documentFolder` must be specified.
      - For `COMPONENT_TYPE_GRAPH`, no attributes are required but cannot be null .
      - For `COMPONENT_TYPE_TEXT`, no attributes are required but cannot be null .
      - For `COMPONENT_TYPE_NEWS`, no attributes are required but cannot be null .
      - For `COMPONENT_TYPE_TRACKER`, attributes `trackerSearchesIds` and `count` must be specified.
      - For `COMPONENT_TYPE_WIKI`, attribute `wikiTopic` must be specified.
      - For `COMPONENT_TYPE_SUBPROJECTS`, attribute `subprojects` must be specified.
      `PageComponentSoapDO` has constant declarations for all attribute keys to be used for the attributes.
      `content` - text component content, applicable for Text components and Lifecycle metrics components.
    Returns:
      the newly created component
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `IllegalArgumentFault` - for incorrect parameter values
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `ObjectAlreadyExistsFault` - If a component with the same name already exists in the page
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### createComponent2

    public PageComponent2SoapDO createComponent2(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content) throws InvalidSessionFault, NoSuchObjectFault, IllegalArgumentFault, PermissionDeniedFault, ObjectAlreadyExistsFault, SystemFault
    Creates a page component. Just like `createComponent` but also creates `COMPONENT_TYPE_LIFECYCLE_METRICS` and returns `PageComponent2SoapDO` object. For `COMPONENT_TYPE_TEXT` and `COMPONENT_TYPE_LIFECYCLE_METRICS` html source can be fetched from `readOnlyTextSource` property of `PageComponent2SoapDO`
    Specified by:
      `createComponent2` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page where the component is to be created.
      `compName` - component name
      `componentType` - component type. Valid component types are defined as constants in `PageComponent2SoapDO`.
      `topOfPage` - true if the component is to be created at top of the page
      `visibility` - defines the visibility of this component, 1= visible, 0 = hidden.
      `attributes` - component attributes. The values varies with the component:
      - For `COMPONENT_TYPE_DOCUMENTS`, attribute `documentFolder` must be specified.
      - For `COMPONENT_TYPE_GRAPH`, no attributes are required but cannot be null .
      - For `COMPONENT_TYPE_TEXT`, no attributes are required but cannot be null .
      - For `COMPONENT_TYPE_LIFECYCLE_METRICS`, no attributes are required but cannot be null.
      - For `COMPONENT_TYPE_NEWS`, no attributes are required but cannot be null .
      - For `COMPONENT_TYPE_TRACKER`, attributes `trackerSearchesIds` and `count` must be specified.
      - For `COMPONENT_TYPE_WIKI`, attribute `wikiTopic` must be specified.
      - For `COMPONENT_TYPE_SUBPROJECTS`, attribute `subprojects` must be specified.
      `PageComponent2SoapDO` has constant declarations for all attribute keys to be used for the attributes.
      `content` - text component content, applicable for Text components and Lifecycle metrics components.
    Returns:
      the newly created component
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `IllegalArgumentFault` - for incorrect parameter values
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `ObjectAlreadyExistsFault` - If a component with the same name already exists in the page
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      7.0

  - ### setPageComponentData

    public void setPageComponentData(String sessionId, PageComponentSoapDO pageComponent) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, VersionMismatchFault, IllegalArgumentFault, SystemFault
    Updates a page component
    Specified by:
      `setPageComponentData` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponent` - the page component to be updated.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the specified page id is invalid.
      `VersionMismatchFault` - when the component data is stale.
      `IllegalArgumentFault` - for incorrect data.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### setPageDisplayOrder

    public boolean setPageDisplayOrder(String sessionId, String folderId, String[] childrenPageIds) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Sets the page display order. This API will not modify the component data.
    Specified by:
      `setPageDisplayOrder` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `folderId` - the folder to be used.
      `childrenPageIds` - page keys in the new intended order based on array order must pass in all pages.
    Returns:
      true is the update went perfectly. false is the update succeeded, but had to deal with deleted/new folders.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### movePage

    public void movePage(String sessionId, String pageFolderPath, String destPath) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault
    Moves a page (including sub pages and contents).
    Specified by:
      `movePage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageFolderPath` - The path to the page to move
      `destPath` - The path of the destination parent folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified folder component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      5.0

  - ### addPageImage

    public String addPageImage(String sessionId, String projectId, String fileId, String filename, String mimetype) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Adds an uploaded file as an image for a page.
    Specified by:
      `addPageImage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `fileId` - Image file ID returned by FileStorageApp/SimpleFileStorageApp webservice.
      `filename` - Image file name.
      `mimetype` - Image file type.
    Returns:
      attachment id of the added image
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      5.3

  - ### listPageImages

    public AttachmentSoapList listPageImages(String sessionId, String projectId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault
    Lists the images for a project.
    Specified by:
      `listPageImages` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of page images as AttachmentSoapList.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      5.3

  - ### getPageImageUrl

    public String getPageImageUrl(String sessionId, String projectId, String attachmentId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault
    Gets relative URL to access to the uploaded image from an HTML page. To embed an uploaded image in an HTML page, specify the string returned by this call as src in the img tag, no need to add protocol or server name as prefix.
    Specified by:
      `getPageImageUrl` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `attachmentId` - Attachment id of the image.
    Returns:
      the relative URL for the image.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      5.3

  - ### deletePageImage

    public void deletePageImage(String sessionId, String projectId, String attachmentId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Deletes the specified attachment of the specified object.
    Specified by:
      `deletePageImage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `attachmentId` - The attachment id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      5.3

  - ### getPageComponent

    public PageComponent2SoapDO getPageComponent(String sessionId, String pageComponentId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault
    Gets page component meta data and settings for a given page component id. For `COMPONENT_TYPE_TEXT` and `COMPONENT_TYPE_LIFECYCLE_METRICS` html source can be fetched from `readOnlyTextSource` property of `PageComponent2SoapDO`
    Specified by:
      `getPageComponent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponentId` - the id of the page component from which to get the component
    Returns:
      page component
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      7.0